Subject: bug#18766: 25.0.50; eldoc (after commit fb9dbc05a3ca0b3e69afd5b061c84c3802086834)

From: Ivan Shmakov <[email-masked]>
Date: Mon, 20 Oct 2014 20:14:51 +0000

>>>>> Dmitriy Igrishin <[email-masked]> writes:

[…]

 > I keep source and build directories of Emacs separately.  (The build
 > directory is not a subdir of the source tree.)  And from time to time
 > I rebuild Emacs by invoking: make && sudo make install.  I've
 > "grepped" for "eldoc-documentation-function-default" in my *source*
 > tree and found *binary* matches.  (Probably, sometime I've invoke make
 > in the source directory.)

	JFTR, – the .elc files, produced by the byte compiler as part of
	the build process, are actually placed in the /source/
	directory.

	It doesn’t make much sense to me, but it’s how the Emacs build
	process currently works.  Personally, I work-around this issue
	with something like:

$ mkdir emacs-2014-10-20-build 
$ cd emacs-2014-10-20-build 
$ lndir ../emacs 
$ ./configure …

 > Thus, I am clean the source tree and rebuild Emacs.  The problem is
 > gone, so it is mea culpa, rather than bug.  Sorry!  But this is a
 > question.  Why "make install" invoked in the *build* directory after
 > updating the source tree messed up the installation?  Thanks!

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A